/**
 * @file mutation++.h
 *
 * @brief Includes many common header files in a convenient location.
 */

/*
 * Copyright 2014-2020 von Karman Institute for Fluid Dynamics (VKI)
 *
 * This file is part of MUlticomponent Thermodynamic And Transport
 * properties for IONized gases in C++ (Mutation++) software package.
 *
 * Mutation++ is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Mutation++ is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Mutation++.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef GENERAL_MUTATIONPP_H
#define GENERAL_MUTATIONPP_H

#include "Mixture.h"
#include "Kinetics.h"
#include "RateLaws.h"
#include "RateManager.h"
#include "Reaction.h"
#include "StoichiometryManager.h"
#include "ThirdBodyManager.h"
#include "Species.h"
#include "SpeciesNameFSM.h"
#include "ThermoDB.h"
#include "Thermodynamics.h"
#include "CollisionDB.h"
#include "Constants.h"
#include "Transport.h"
#include "IteratorWrapper.h"
#include "LookupTable.h"
#include "Units.h"
#include "Composition.h"
#include "ParticleRRHO.h"
#include "Errors.h"

#endif // MUTATIONPP_H
